##
##pop1 standard pop projections
##pop3 projections for correlation
##

wd<-"S:/VID/project/tfrproj3/"
setwd(wd)

library("bayesPop")

#wpp="wpp2008"
for(wpp in c("wpp2008", "wpp2010", "wpp2012", "wpp2015")){
  sim.dir.tfr <- paste0(wd, wpp)
  sim.dir.pop <- paste0(wd, wpp, "/pop")
  pred <- pop.predict(output.dir=sim.dir.pop, verbose=TRUE, wpp.year = 2015, present.year = 2010,
                      inputs = list(tfr.sim.dir=sim.dir.tfr))
  message(wpp)
  gc()
}


for(wpp in c("high2015", "low2015","unpd2015")){
  sim.dir.tfr <- paste0(wd, wpp)
  sim.dir.pop <- paste0(wd, wpp, "/pop")

  pred <- pop.predict(output.dir=sim.dir.pop, verbose=TRUE, wpp.year = 2015, present.year = 2015,
                      inputs = list(tfr.sim.dir=sim.dir.tfr))
  message(wpp)
  gc()
}


for(wpp in c("high2015_ken", "low2015_ken","high2015_nig", "low2015_nig")){
  sim.dir.tfr <- paste0(wd, wpp)
  sim.dir.pop <- paste0(wd, wpp, "/pop")
  
  pred <- pop.predict(output.dir=sim.dir.pop, verbose=TRUE, wpp.year = 2015, present.year = 2015,
                      inputs = list(tfr.sim.dir=sim.dir.tfr))
  message(wpp)
  gc()
}
